#ifndef __IMAGE__
#define __IMAGE__

#include <sys/pgmspace.h>
#include <SSD1306Wire.h>
#include <OLEDDisplayUi.h>

const uint8_t Active_Symbol_Icon[] PROGMEM = {
    B00000000,
    B00000000,
    B00011000,
    B00100100,
    B01000010,
    B01000010,
    B00100100,
    B00011000
};

const uint8_t Inactive_Symbol_Icon[] PROGMEM = {
    B00000000,
    B00000000,
    B00000000,
    B00000000,
    B00011000,
    B00011000,
    B00000000,
    B00000000
};

void oledTitle(OLEDDisplay *display, String s, int16_t x, int16_t y);
void oledWebFrame(OLEDDisplay *display, OLEDDisplayUiState* state, int16_t x, int16_t y);
void oledMQTTFrame(OLEDDisplay *display, OLEDDisplayUiState* state, int16_t x, int16_t y);
void oledBilibiliFrame(OLEDDisplay *display, OLEDDisplayUiState* state, int16_t x, int16_t y);
void oledOsFrame(OLEDDisplay *display, OLEDDisplayUiState* state, int16_t x, int16_t y);

extern const uint8_t frameCount;
extern FrameCallback frames[];

void timeOverlay(OLEDDisplay *display, OLEDDisplayUiState* state);

extern const uint8_t overlaysCount;
extern OverlayCallback overlays[];

#endif