#ifndef __UTILS__
#define __UTILS__

#include <Arduino.h>
#include <ESP8266WiFi.h>

#define WiFiSSID "Info Board"
#define WiFipswd "cj160217"

// Variable Type Definition
typedef struct IPConfig {
    IPAddress ip;
    IPAddress gw;
    IPAddress sn;
} IPConfig;

typedef struct BoardInfo {
    String Version;
    IPAddress ip;
} BoardInfo;


// Global Variable
extern IPConfig APStatic;
extern IPConfig STAStatic;
extern BoardInfo Board;

extern long follower;
extern long view;
extern long likes;
extern long dayView;
extern long weekView;
extern long monthView;

void initNtp();
String ntpTime();
void getData();

#endif
